<?php

if(isset($config[0]['offset']))
	$cfg_offset = $config[0]['offset'];
else 
	$cfg_offset = 0;

function rss_time($time){
	global $cfg_offset;
		
	return $time + $cfg_offset * 3600;
}

function offsetMakeGMT($hours = false, $minutes = false, $seconds = false, $month = false, $day = false, $year = false){
	
	global $cfg_offset;
		$offset = $cfg_offset;

	list($nowDay, $nowMonth, $nowYear, $nowHours, $nowMinutes, $nowSeconds) = explode(' ', offsetDate('d m Y H i s'));
		
	$hours	= ($hours !== false) ? $hours : $nowHours;
	$minutes = ($minutes !== false)	? $minutes : $nowMinutes;
	$seconds = ($seconds !== false)	? $seconds : $nowSeconds;
	$month = ($month !== false) ? $month : $nowMonth;
	$day = ($day !== false)	? $day : $nowDay;
	$year = ($year !== false) ? $year : $nowYear;
		
	$offsetTime = gmmktime($hours - $offset, $minutes, $seconds, $month, $day, $year);
	return $offsetTime;
}

function offsetDate($format = 'U', $time = null, $offset = null){	
	
	global $cfg_offset;

	$offset	= ($offset !== null) ? $offset : $cfg_offset;
	$time = ($time !== null) ? $time : time();

	$format	= preg_replace('#(?!:[^\\\]?)U#', $time, $format);
	$time 	+= ($offset * 60 * 60);
		
	return gmdate($format, $time);
}

function time_interval($when = ''){

	$time = time();
	switch($when){
		case 'day':
			$time = offsetMakeGMT(0, 0, 0);
		break;
			
		case 'hour':
			$time = offsetMakeGMT(false, 0, 0);
		break;
			
		case 'week':
			$time = offsetMakeGMT(0, 0, 0, offsetDate('n'), offsetDate('j') - offsetDate('w'), offsetDate('Y'));
		break;
			
		case 'month':
			$time = offsetMakeGMT(0, 0, 0, offsetDate('n'), 1);
		break;
	}

	return $time;
}

function get_time($type){

	global $cfg_offset;
	$offset = $cfg_offset;

	if($type == 'hour'){
		$t = explode('|',date('H|d|n|Y', time() + $offset*3600));
		$stamp = mktime($t[0],0,0,$t[2],$t[1],$t[3]);
	}

	if($type == 'day'){
		$t = explode('|',date('d|n|Y', time() +  $offset*3600));
		$stamp = mktime(0,0,0,$t[1],$t[0],$t[2]);
	}

	if($type == 'week'){
		$t = explode('|',date('j|w|n|Y', time() + $offset*3600));
		$stamp = mktime(0,0,0,$t[2],$t[0] - $t[1],$t[3]);
	}

	if($type == 'month'){
		$t = explode('|',date('n|Y', time() + $offset*3600));
		$stamp = mktime(0,0,0,$t[0],1,$t[1]);
	}

	return $stamp;
}

function formatDateTimeRelative($time){
	$diff = time() - $time;
	if ($diff < 10) {
		return "Just Now";
	} else if ($diff < 60) {
		return "&lt; 1 min ago";
	}
		
	$diff = round($diff / 60);
	if ($diff < 60){ 
		$min = "min".(($diff > 1) ? 's' : '');
		return "$diff $min ago";
	}
		
	$diff = round($diff / 60);
	if ($diff < 24) {
		$hr = "hour".(($diff > 1) ? 's' : '');
		return "$diff $hr ago";
	}
		
	$diff = round($diff / 24);
	if ($diff < 7) {
		return ($diff > 1) ? "$diff days ago" : 'Yesterday';
	}
		
	$diff = round($diff / 7);
	if ($diff < 52) {
		return ($diff > 1) ? "$diff weeks ago" : 'Last Week';
	}
		
	$diff = round($diff / 52);
	return ($diff > 1) ? "Around $diff years ago" : 'Last Year';
}

?>